주문 상세 조회
주문자·배송지·결제 금액과 주문상품 전체를 조회한다. 스코프 `order:r`. 테스트 결제(샌드박스 결제) 주문은 `testPayment: true`다. 실제로 돈이 오가지 않았으므로 상품을 발송하지 않도록 주의한다. `testPayment` 쿼리로 테스트 결제만(`true`)·실결제만(`false`) 볼 수 있다. method는 호환용이며 간편결제를 CARD로 표시한다. 실제 수단은 approvedMethod를 본다(`payment.approvedMethod` — 매출 리포트·스토어프론트·환불 원장과 같은 값).
주문자·배송지·결제 금액과 주문상품 전체를 조회한다. 스코프 order:r.
테스트 결제(샌드박스 결제) 주문은 testPayment: true다. 실제로 돈이 오가지 않았으므로 상품을 발송하지 않도록 주의한다. testPayment 쿼리로 테스트 결제만(true)·실결제만(false) 볼 수 있다.
method는 호환용이며 간편결제를 CARD로 표시한다. 실제 수단은 approvedMethod를 본다(payment.approvedMethod — 매출 리포트·스토어프론트·환불 원장과 같은 값).
Authorization
bearer userToken(계정 스코프) 또는 storeToken(스토어 스코프)
In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/v1/orders/string"{ "meta": { "status": 0, "code": "OK", "message": "string", "isSuccess": true }, "data": { "orderId": "string", "orderedAt": "string", "orderer": { "name": "string", "phone": "string", "email": "user@example.com" }, "shippingAddress": { "receiverName": "string", "phone": "string", "zipCode": "string", "address1": "string", "address2": "string", "deliveryMemo": "string", "entranceCode": "string" }, "payment": { "method": "CARD", "approvedMethod": null, "productAmount": -9007199254740991, "deliveryFee": -9007199254740991, "discountAmount": -9007199254740991, "totalAmount": -9007199254740991, "paidAt": "string" }, "testPayment": true, "items": [ { "orderItemId": "string", "orderId": "string", "status": "PAYMENT_WAITING", "claimStatus": "CANCEL_REQUESTED", "productId": "string", "productName": "string", "optionId": "string", "optionName": "string", "sellerCode": "string", "quantity": -9007199254740991, "unitPrice": -9007199254740991, "discountAmount": -9007199254740991, "totalPrice": -9007199254740991, "hold": { "reason": "string", "expectedDispatchDate": "string" }, "autoDecisionDate": "string", "sellerMemo": "string", "orderedAt": "string", "lastChangedAt": "string", "lastChangedType": "ORDER.PAID", "testPayment": true } ] }, "error": null}주문 목록 조회 GET
주문 시각 범위(최대 31일)로 주문 요약을 최신순으로 조회한다. 스코프 `order:r`. - `status`는 그 상태의 주문상품이 하나라도 있는 주문을 고른다. - `representativeStatus`는 첫 주문상품의 상태다. - 테스트 결제(샌드박스 결제) 주문은 `testPayment: true`다. 실제로 돈이 오가지 않았으므로 상품을 발송하지 않도록 주의한다. `testPayment` 쿼리로 테스트 결제만(`true`)·실결제만(`false`) 볼 수 있다. - method는 호환용이며 간편결제를 CARD로 표시한다. 실제 수단은 approvedMethod를 본다(`payment.approvedMethod` — 매출 리포트·스토어프론트·환불 원장과 같은 값).
List address change requests GET
Next Page